|  | Home · All Classes · Modules

# QStyleOptionViewItemV3 Class Reference
[QtGui module]

The QStyleOptionViewItemV3 class is used to describe the parameters necessary for drawing a frame in Qt 4.3 or above. More...

Inherits QStyleOptionViewItemV2.

Inherited by QStyleOptionViewItemV4.

### Types

- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionViewItemV3 other)
- __init__ (self, QStyleOptionViewItem other)

### Members

- QLocale locale

### Static Members

- QWidget widget

## Detailed Description

The QStyleOptionViewItemV3 class is used to describe the parameters necessary for drawing a frame in Qt 4.3 or above.

QStyleOptionViewItemV3 inherits QStyleOptionViewItem.

An instance of the QStyleOptionViewItemV3 class has type SO_ViewItem and version 3. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See QStyleOptionFrameV2's detailed description for a discussion of how to handle "V2" and other versioned classes.

## Type Documentation

### QStyleOptionViewItemV3.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionViewItemV3.Version` | `3` | 3

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionViewItemV3.__init__ (self)

Constructs a QStyleOptionViewItemV3 object.

### QStyleOptionViewItemV3.__init__ (self, QStyleOptionViewItemV3 other)

Constructs a copy of other.

### QStyleOptionViewItemV3.__init__ (self, QStyleOptionViewItem other)

Constructs a copy of other.

## Member Documentation

### QLocale locale

### QWidget widget

This member should be treated as a constant.